<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Icons\cashier.png" />
    <None Remove="Icons\category.png" />
    <None Remove="Icons\employee.png" />
    <None Remove="Icons\employees.png" />
    <None Remove="Icons\exchange.png" />
    <None Remove="Icons\pos.png" />
    <None Remove="Icons\product.png" />
    <None Remove="Icons\receipt.png" />
    <None Remove="Icons\settings.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="RestSharp" Version="108.0.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Database\Database.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Syncfusion.SfSkinManager.WPF">
    </Reference>
    <Reference Include="Syncfusion.Shared.WPF">
    </Reference>
    <Reference Include="Syncfusion.Themes.FluentLight.WPF">
    </Reference>
    <Reference Include="Syncfusion.Tools.Wpf">
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Icons\cashier.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\category.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\employee.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\employees.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\exchange.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\pos.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\product.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\receipt.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\settings.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="appsettings.production.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
